classification
Title: Add test for Argument Clinic converters
Type: enhancement Stage: patch review
Components: Argument Clinic, Tests Versions: Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: larry, pablogsal, serhiy.storchaka
Priority: normal Keywords: patch, patch, patch

Created on 2018-12-24 16:41 by serhiy.storchaka, last changed 2018-12-29 20:34 by pablogsal.

Pull Requests
URL Status Linked Edit
PR 11306 merged serhiy.storchaka, 2018-12-24 16:43
PR 11306 merged serhiy.storchaka, 2018-12-24 16:43
PR 11306 merged serhiy.storchaka, 2018-12-24 16:43
PR 11311 merged serhiy.storchaka, 2018-12-25 08:27
PR 11311 merged serhiy.storchaka, 2018-12-25 08:27
PR 11311 merged serhiy.storchaka, 2018-12-25 08:27
Messages (4)
msg332493 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-24 16:41
Currently Argument Clinic converters are tested by running Argument Clinic on the CPython source tree. If it generates incorrect code, then it contains bugs. But not all combinations of standard converters and options are used in the stdlib.

The programming interface of Argument Clinic is complex, and it is hard to write tests for testing only specific functionality. The simplest way of testing Argument Clinic is to write a C file containing declarations and generated code for all test cases. Although this does not allow to test error cases.

The proposed PR adds Lib/test/clinic_test.c which contains tests for all standard converters. It will be extended in bpo-20180 (PR #9828) and bpo-23867.
msg332504 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-25 08:17
New changeset 837c7dc1ede18748e1a7a8e77ed117c03a086a94 by Serhiy Storchaka in branch 'master':
bpo-35578: Add an example file for testing Argument Clinic converters. (GH-11306)
https://github.com/python/cpython/commit/837c7dc1ede18748e1a7a8e77ed117c03a086a94
msg332506 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-25 09:20
New changeset 74d914ecd595536531ded9ba5203e653f0d80e1e by Serhiy Storchaka in branch '3.7':
[3.7] bpo-35578: Add an example file for testing Argument Clinic converters. (GH-11306) (GH-11311)
https://github.com/python/cpython/commit/74d914ecd595536531ded9ba5203e653f0d80e1e
msg332732 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-12-29 20:34
Is there anything left in this issue or we can close it?
History
Date User Action Args
2018-12-29 20:34:50pablogsalsetkeywords: patch, patch, patch
nosy: + pablogsal
messages: + msg332732

2018-12-25 09:20:12serhiy.storchakasetmessages: + msg332506
2018-12-25 08:27:43serhiy.storchakasetpull_requests: + pull_request10558
2018-12-25 08:27:39serhiy.storchakasetpull_requests: + pull_request10557
2018-12-25 08:27:35serhiy.storchakasetpull_requests: + pull_request10556
2018-12-25 08:17:32serhiy.storchakasetmessages: + msg332504
2018-12-24 16:43:38serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request10542
2018-12-24 16:43:34serhiy.storchakasetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10541
2018-12-24 16:43:31serhiy.storchakasetkeywords: + patch
stage: (no value)
pull_requests: + pull_request10540
2018-12-24 16:41:25serhiy.storchakacreate